XmFileSelectionDoSearch(library call)

NAME
XmFileSelectionDoSearch — A FileSelectionBox function that initiates a directory search

SYNOPSIS

#include <Xm/FileSB.h>
void XmFileSelectionDoSearch(
Widget widget,
XmString dirmask);

DESCRIPTION

XmFileSelectionDoSearch initiates a directory and file search in a FileSelectionBox widget. For a description of the actions that the FileSelectionBox takes when doing a search, see XmFileSelectionBox(3).

widget
    Specifies the FileSelectionBox widget ID.

dirmask
    Specifies the directory mask used in determining the directories and files displayed in the FileSelectionBox lists. This value is used as the mask member of the input data XmFileSelectionBoxCallbackStruct structure passed to the FileSelectionBox's XmNqualifySearchDataProc. The dir and pattern members of that structure are NULL.

For a complete definition of FileSelectionBox and its associated resources, see XmFileSelectionBox(3).

RELATED

XmFileSelectionBox(3).